cURL
curl --request GET \
--url https://api.example.com/api/v1/files/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/files/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/files/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site": "<string>",
"category": "kg-csv",
"name": "<string>",
"file": "<string>",
"uploaded_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"entity_uri": "<string>",
"content_type": "<string>",
"size_bytes": 4611686018427388000,
"metadata": "<unknown>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}files
Get apiv1files
REST API for site file management.
list: GET /api/files/?site_id=X&category=Y create: POST /api/files/ (multipart) read: GET /api/files// update: PUT /api/files// (multipart) delete: DELETE /api/files// download: GET /api/files//download/
GET
/
api
/
v1
/
files
/
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
